---
title: llarp/net/interface_info.hpp

---

# llarp/net/interface_info.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::net](Namespaces/namespacellarp_1_1net.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::net::InterfaceInfo](Classes/structllarp_1_1net_1_1InterfaceInfo.md)** <br>info about a network interface lokinet does not own  |




## Source code

```cpp
#pragma once

#include <string>
#include <vector>
#include "ip_range.hpp"

namespace llarp::net
{
  struct InterfaceInfo
  {
    std::string name;
    int index;
    std::vector<IPRange> addrs;
    std::optional<ipaddr_t> gateway;
  };
}  // namespace llarp::net
```


-------------------------------

Updated on 2022-10-05 at 19:49:52 +0000
